import { useRef, useState, useEffect } from 'react'
const useMeasurement = (buffer = 0) => {
  const ref = useRef(null)
  const [dimensions, setDimensions] = useState({
    minX: 0,
    maxX: 0,
    minY: 0,
    maxY: 0,
  })
  const setRef = (view) => (ref.current = view)
  useEffect(() => {
    if (ref.current && ref.current.measure) {
      ref.current.measure((_a, _b, width, height, px, py) => {
        setDimensions({
          minX: px - buffer,
          maxX: px + width + buffer,
          minY: py - buffer,
          maxY: py + height + buffer,
        })
      })
    }
  }, [ref.current])
  return { dimensions, setRef }
}
export default useMeasurement
