import React from 'react'
import {
  StyleProp,
  ViewStyle,
  ViewProps,
  GestureResponderEvent,
  Falsy,
} from 'react-native'
import { RippleEffectProps } from './ripple'
export declare type LongPressButtonProps = {
  children: React.ReactNode
  onPressIn?: (e?: GestureResponderEvent) => void | Promise<void> | Falsy
  onMove?: (e?: GestureResponderEvent) => void | Promise<void> | Falsy
  onPressOut?: (e?: GestureResponderEvent) => void | Promise<void> | Falsy
  style?: StyleProp<ViewStyle>
  pressedStyle?: StyleProp<ViewStyle>
  disableRipple?: boolean | Falsy
  rippleColor?: string
  rippleOpacity?: number
  rippleContainerBorderRadius?: number
  longPressTimeout?: number
  moveCancelBuffer?: number
  RippleProps?: RippleEffectProps
} & ViewProps
declare const LongPressButton: ({
  children,
  onPressIn,
  onMove,
  onPressOut,
  style,
  pressedStyle,
  disableRipple,
  rippleColor,
  rippleOpacity,
  rippleContainerBorderRadius,
  longPressTimeout,
  moveCancelBuffer,
  RippleProps,
  ...ViewProps
}: LongPressButtonProps) => JSX.Element
export default LongPressButton
