import React from 'react'
import useLongPress from './hooks/useLongPress'
import MoveAwayButton from './move-away-button'
const LongPressButton = ({
  children,
  onPressIn,
  onMove,
  onPressOut,
  style,
  pressedStyle,
  disableRipple,
  rippleColor,
  rippleOpacity = 0.3,
  rippleContainerBorderRadius,
  longPressTimeout,
  moveCancelBuffer = 10,
  RippleProps,
  ...ViewProps
}) => {
  const { pressed, setPressed } = useLongPress(longPressTimeout)
  return (
    <MoveAwayButton
      pressed={pressed}
      setPressed={setPressed}
      onPressIn={onPressIn}
      onMove={onMove}
      onPressOut={onPressOut}
      style={style}
      pressedStyle={pressedStyle}
      disableRipple={disableRipple}
      rippleColor={rippleColor}
      rippleOpacity={rippleOpacity}
      rippleContainerBorderRadius={rippleContainerBorderRadius}
      moveCancelBuffer={moveCancelBuffer}
      {...ViewProps}
      {...RippleProps}>
      {children}
    </MoveAwayButton>
  )
}
export default LongPressButton
