import React from 'react'
import {
  View,
  Animated,
  ViewProps,
  GestureResponderEvent,
  LayoutChangeEvent,
  Falsy,
} from 'react-native'
export declare type RippleType = {
  id: number
  progress: Animated.Value
  locationX: number
  locationY: number
  R: number
}
export declare type RippleEffectProps = {
  rippleColor?: string
  rippleOpacity?: number
  rippleDuration?: number
  rippleReset?: number
  rippleSize?: number
  rippleContainerBorderRadius?: number
  rippleCentered?: boolean
  disableRippleFade?: boolean
  disableRippleOnPressIn?: boolean
  rippleOnPress?: boolean
  rippleOnPressOut?: boolean
  onRippleAnimation?: (...args: any[]) => any
}
export declare type RippleProps = {
  children: React.ReactNode
  onPressIn?: (e: GestureResponderEvent) => void | Falsy
  onPress?: (e: GestureResponderEvent) => void | Falsy
  onMove?: (e: GestureResponderEvent) => void | Falsy
  onPressOut?: (e: GestureResponderEvent) => void | Falsy
  onLayout?: (e: LayoutChangeEvent) => void
  containerRef?: (view: View) => void
} & RippleEffectProps &
  Animated.AnimatedProps<ViewProps>
declare const Ripple: ({
  children,
  rippleColor,
  rippleOpacity,
  rippleDuration,
  rippleReset,
  rippleSize,
  rippleContainerBorderRadius,
  rippleCentered,
  disableRippleFade,
  disableRippleOnPressIn,
  rippleOnPress,
  rippleOnPressOut,
  onPressIn,
  onPress,
  onMove,
  onPressOut,
  onLayout,
  containerRef,
  onRippleAnimation,
  ...props
}: RippleProps) => JSX.Element
export default Ripple
